=== debian/control ===
Source: ros-indigo-remote-manipulation-markers
Section: misc
Priority: extra
Maintainer: David Kent <dekent@gatech.edu>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-actionlib, ros-indigo-actionlib-msgs, ros-indigo-catkin, ros-indigo-geometry-msgs, ros-indigo-interactive-markers, ros-indigo-message-generation, ros-indigo-rail-manipulation-msgs, ros-indigo-roscpp, ros-indigo-sensor-msgs, ros-indigo-std-srvs, ros-indigo-visualization-msgs
Homepage: http://ros.org/wiki/remote_manipulation_markers
Standards-Version: 3.9.2

Package: ros-indigo-remote-manipulation-markers
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-actionlib, ros-indigo-actionlib-msgs, ros-indigo-geometry-msgs, ros-indigo-interactive-markers, ros-indigo-message-runtime, ros-indigo-rail-manipulation-msgs, ros-indigo-rail-segmentation, ros-indigo-roscpp, ros-indigo-sensor-msgs, ros-indigo-std-srvs, ros-indigo-visualization-msgs
Description: A set of interactive markers for various methods of remote teleoperation manipulation of 6-DOF robot end-effectors
